%global gem_name delorean


Summary: Delorean lets you travel in time with Ruby by mocking Time.now
Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 6%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/bebanjo/delorean
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
# to get specs:
# git clone https://github.com/bebanjo/delorean.git && cd delorean
# git checkout v1.2.0
# tar -czf rubygem-delorean-spec.tgz spec/
Source1:  %{name}-spec.tgz
Requires: ruby(abi) = 1.9.1
Requires: ruby(rubygems)
Requires: rubygem(chronic)
BuildRequires: rubygems-devel
# for specs:
BuildRequires: rubygem(rspec-core)
BuildRequires: rubygem(activesupport)
BuildRequires: rubygem(chronic)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Delorean lets you travel in time with Ruby by mocking Time.now.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force --rdoc %{SOURCE0}
pushd .%{gem_instdir}
tar xzf %{SOURCE1}
popd

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_cache}
%{gem_libdir}
%{gem_spec}
%doc %{gem_instdir}/MIT-LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 01 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2.0-5
- Properly set ruby(abi) = 1.9.1.

* Wed Feb 01 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2.0-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jan 03 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2.0-2
- Fixed the specfile permissions.
- Added tests.

* Mon Jan 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2.0-1
- Initial package.
